# Uses of Enum Class
org.apache.solr.common.params.CollectionParams.LockLevel

Packages that use CollectionParams.LockLevel
Package
Description
org.apache.solr.common.params
Parameter constants and enumerations.

## Uses of CollectionParams.LockLevel in org.apache.solr.common.params

Fields in org.apache.solr.common.params declared as CollectionParams.LockLevel
Modifier and Type
Field
Description
`final CollectionParams.LockLevel`
CollectionParams.CollectionAction.`lockLevel`
Methods in org.apache.solr.common.params that return CollectionParams.LockLevel
Modifier and Type
Method
Description
`CollectionParams.LockLevel`
CollectionParams.LockLevel.`getChild()`
`static CollectionParams.LockLevel`
CollectionParams.LockLevel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CollectionParams.LockLevel[]`
CollectionParams.LockLevel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.solr.common.params with parameters of type CollectionParams.LockLevel
Modifier and Type
Method
Description
`boolean`
CollectionParams.LockLevel.`isHigherOrEqual(CollectionParams.LockLevel that)`